Bug 1781402 - The host or global parameter 'remote_execution_ssh_keys' is ignored during provisioning
Summary: The host or global parameter 'remote_execution_ssh_keys' is ignored during pr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: Adam Ruzicka
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-09 22:38 UTC by Jayant Bhatia
Modified: 2020-08-11 09:34 UTC (History)
4 users (show)

Fixed In Version: tfm-rubygem-foreman_remote_execution-2.0.6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-14 13:27:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28483 Normal Closed The host or global parameter 'remote_execution_ssh_keys' is ignored during provisioning 2020-10-16 01:35:50 UTC
Red Hat Knowledge Base (Solution) 2447261 None None None 2019-12-09 22:42:11 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:28:03 UTC

Description Jayant Bhatia 2019-12-09 22:38:16 UTC
Description of problem:

The remote_execution_ssh_keys provisioning template (snippet)

Satellite WebUI -> Host -> Provisioning Templates > remote_execution_ssh_keys

seems to indicate that by creating a host or global parameter labelled
'remote_execution_ssh_keys' and setting the public key as the parameter value will ensure that the set value will be inserted into "~/.ssh/authorized_keys file" on the provisioned machine. However this does not work as
suggested. The template seems to be inserting the foreman-proxy key into authorized_keys file and not anything else.

Version-Release number of selected component (if applicable):
Satellite-6.6.0

Steps to Reproduce:
Navigate to Satellite WebUI -> Configure -> Host Groups -> <Hostgroup_Name> -> Parameters -> Host Group Parameters -> Add Parameter and enter below values.

       Name:  remote_execution_ssh_keys
       Value: <Public_Key_To_Be_Deployed>

Once done, provision a new host using above host group.

Actual results:
My assumption is this is a setting that is
overridden somehow by foreman for the foreman-proxy key only and the global or host parameters are ignored contrary to the comments in the snippet template.

Expected results:
The key value set for 'remote_execution_ssh_keys' parameter should be inserted into "~/.ssh/authorized_keys file" on the provisioned machine.

Comment 6 Adam Ruzicka 2019-12-11 13:38:43 UTC
Created redmine issue https://projects.theforeman.org/issues/28483 from this bug

Comment 7 Bryan Kearney 2019-12-17 17:03:04 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28483 has been resolved.

Comment 9 Peter Ondrejka 2020-01-30 15:22:08 UTC
Verified on Satellite 6.7 snap 10 with the pubkey supplied to the remote_execution_ssh_keys hostgroup parameter quoted in an array. The key is correctly resolved in the provisioning template and is present in authorized keys on provisioned host.

Comment 12 errata-xmlrpc 2020-04-14 13:27:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.